# -------------------- sysmem --------------------

	.text
	.set	noreorder
	.globl 	sysmem_stub

sysmem_stub:
	.word	0x41e00000
	.word	0x0000
	.short	0x0101
	.short	0x0000
	.ascii	"sysmem\0\0"
	.align	2

	.globl	AllocSysMemory
AllocSysMemory:
	j	$31
	addiu	$0, $0, 4

	.globl	FreeSysMemory
FreeSysMemory:
	j	$31
	addiu	$0, $0, 5


	.word	0, 0

# -------------------- intrman --------------------

	.text
	.set	noreorder
	.globl 	intrman_stub

intrman_stub:
	.word	0x41e00000
	.word	0x0000
	.short	0x0102
	.short	0x0000
	.ascii	"intrman\0"
	.align	2

	.globl	CpuSuspendIntr
CpuSuspendIntr:
	j	$31
	addiu	$0, $0, 17

	.globl	CpuResumeIntr
CpuResumeIntr:
	j	$31
	addiu	$0, $0, 18


	.word	0, 0

# -------------------- ioman --------------------

	.text
	.set	noreorder
	.globl 	ioman_stub

ioman_stub:
	.word	0x41e00000
	.word	0x0000
	.short	0x0104
	.short	0x0000
	.ascii	"ioman\0\0\0"
	.align	2

	.globl	open
open:
	j	$31
	addiu	$0, $0, 4

	.globl	close
close:
	j	$31
	addiu	$0, $0, 5

	.globl	write
write:
	j	$31
	addiu	$0, $0, 7


	.word	0, 0

# -------------------- loadcore --------------------

	.text
	.set	noreorder
	.globl 	loadcore_stub

loadcore_stub:
	.word	0x41e00000
	.word	0x0000
	.short	0x0103
	.short	0x0000
	.ascii	"loadcore"
	.align	2

	.globl	QueryLibraryEntryTable
QueryLibraryEntryTable:
	j	$31
	addiu	$0, $0, 11


	.word	0, 0

# -------------------- stdio --------------------

	.text
	.set	noreorder
	.globl 	stdio_stub

stdio_stub:
	.word	0x41e00000
	.word	0x0000
	.short	0x0103
	.short	0x0000
	.ascii	"stdio\0\0\0"
	.align	2

	.globl	printf
printf:
	j	$31
	addiu	$0, $0, 4


	.word	0, 0

# -------------------- sysclib --------------------

	.text
	.set	noreorder
	.globl 	sysclib_stub

sysclib_stub:
	.word	0x41e00000
	.word	0x0000
	.short	0x0103
	.short	0x0000
	.ascii	"sysclib\0"
	.align	2

	.globl	memset
memset:
	j	$31
	addiu	$0, $0, 14

	.globl	strcmp
strcmp:
	j	$31
	addiu	$0, $0, 22

	.globl	strlen
strlen:
	j	$31
	addiu	$0, $0, 27

	.globl	strncmp
strncmp:
	j	$31
	addiu	$0, $0, 29

	.globl	strtol
strtol:
	j	$31
	addiu	$0, $0, 36


	.word	0, 0

# -------------------- thsemap --------------------

	.text
	.set	noreorder
	.globl 	thsemap_stub

thsemap_stub:
	.word	0x41e00000
	.word	0x0000
	.short	0x0101
	.short	0x0000
	.ascii	"thsemap\0"
	.align	2

	.globl	SignalSema
SignalSema:
	j	$31
	addiu	$0, $0, 6

	.globl	WaitSema
WaitSema:
	j	$31
	addiu	$0, $0, 8


	.word	0, 0

